using System;
using System.Runtime.InteropServices;

namespace Shared
{
    /// <summary>
    /// ImportComiMotionDLL   Դϴ.
    /// </summary>
    public unsafe class CASSDK
    {
        public delegate void EventFunc(IntPtr lParam);

        // 1. casTmrQPC_Start
        [DllImport("ComiAssist.dll", EntryPoint = "casTmrQPC_Start", ExactSpelling = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.Cdecl)]
        public static extern unsafe int casTmrQPC_Start();

        // 2. casTmrQPC_Stop
        [DllImport("ComiAssist.dll", EntryPoint = "casTmrQPC_Stop", ExactSpelling = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.Cdecl)]
        public static extern unsafe int casTmrQPC_Stop();

        // 3. casTmrQPC_Result
        [DllImport("ComiAssist.dll", EntryPoint = "casTmrQPC_Result", ExactSpelling = true, CharSet = CharSet.Ansi, CallingConvention = CallingConvention.Cdecl)]
        public static extern unsafe int casTmrQPC_Result([MarshalAs(UnmanagedType.I4)] int MeasurementMode); // Measurement Mode (0 == uSec, 1 == millisec, 2 == sec)
    }
}